Doomsday Engine - Bug #1971

[Doom] Invulnerability effect not cleared between maps when leaving an MP game and joining

another
2015-02-11 18:39 - skyjake

Status: Closed Start date: 2014-04-23
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.15

Description

In Doom, the invulnerability effect is not cleared when leaving an MP and joining another. To reproduce, get an invulnerability

powerup and join another MP game.

Related issues:
Related to Bug #2004: Invulnerability filter not cleared between maps in all ... Closed
Copied from Bug #1776: [Doom] Invulnerability effect not cleared between maps... Closed

2015-03-26
2014-04-23

Associated revisions

Revision 3e1527da - 2015-02-11 19:22 - skyjake
Fixed|Multiplayer|Client: Cleaning up client state when leaving a game
The client was not properly cleaning its state when leaving a game.

Now received packets are discarded and the postfx shader is reset to
"none".

If one was kicked from an MP game due to version conflict, the old
buffered packets caused a segfault when the client continued handling
them after connecting to a new server.

IssuelD #1954
IssuelD #1971

History

#1 - 2015-02-11 18:39 - skyjake

- Copied from Bug #1776: [Doom] Invulnerability effect not cleared between maps (leaving a map) added

#2 - 2015-02-11 19:19 - skyjake
- Status changed from New to Closed
- Target version setto 1.15

- % Done changed from 0 to 100

#3 - 2015-03-26 19:49 - skyjake

- Related to Bug #2004: Invulnerability filter not cleared between maps in all cases (unload, savegame, warp) added

2024-04-25
